package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFTmpStepActorMapper;
import com.sa.ibiz.demo.demo.domain.WFTmpStepActor;
import com.sa.ibiz.demo.demo.service.WFTmpStepActorService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFTmpStepActorSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.WFActorService;
import com.sa.ibiz.demo.demo.service.WFStepService;

/**
 * 实体[WFTmpStepActor] 服务对象接口实现
 */
@Service
public class WFTmpStepActorServiceImpl extends ServiceImplBase<WFTmpStepActorMapper, WFTmpStepActor> implements WFTmpStepActorService{

    @Autowired
    private WFActorService wfactorService;
    @Autowired
    private WFStepService wfstepService;

    @Resource
    private WFTmpStepActorMapper wftmpstepactorMapper;


    @Override
    public boolean create(WFTmpStepActor et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFTmpStepActor et){
        this.beforeUpdate(et);
		this.wftmpstepactorMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFTmpStepActor et){
		return et.getWftmpstepactorid();  
    }

    @Override
    public boolean getDraft(WFTmpStepActor et)  {
    if((!StringUtils.isEmpty(et.getWfactorid())) && et.getWfactor() == null){
            try {
                et.setWfactor(wfactorService.getById(et.getWfactorid()));
            }catch (Exception ex){}
        }
    if((!StringUtils.isEmpty(et.getPrevwfstepid())) && et.getWfstep() == null){
            try {
                et.setWfstep(wfstepService.getById(et.getPrevwfstepid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WFTmpStepActor> listDefault(WFTmpStepActorSearchFilter filter) {
		return wftmpstepactorMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFTmpStepActor> searchDefault(WFTmpStepActorSearchFilter filter) {
		return wftmpstepactorMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wftmpstepactorMapper.selectRow(sql);
    }

 }